<!DOCTYPE html>
<html>
	<head>
		<title>边民-添加/修改</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport"
			content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no" />
		<!-- 所有的 css js 资源 -->
		<link rel="stylesheet" href="https://unpkg.com/element-ui@2.13.0/lib/theme-chalk/index.css">
		<link rel="stylesheet" href="../../static/sa.css">
		<script src="https://unpkg.com/vue@2.6.10/dist/vue.min.js"></script>
		<script src="https://unpkg.com/element-ui@2.13.0/lib/index.js"></script>
		<script src="https://unpkg.com/jquery@3.4.1/dist/jquery.js"></script>
		<script src="../../static/kj/layer/layer.js"></script>
		<script src="../../static/sa.js"></script>
		<script src="../../static/kj/upload-util.js"></script>
		<style type="text/css">
			.c-panel .el-form .c-label {
				width: 7em !important;
			}

			.c-panel .el-form .el-input,
			.c-panel .el-form .el-textarea__inner {
				width: 250px;
			}
			table {
			  font-family: arial, sans-serif;
			  border-collapse: collapse;
			  width: 90%;
			  margin-top: 26px ;
			  margin-left: auto;
			  margin-right: auto;
			}
			th {
			  border: 1px solid darkgray;
			  text-align: left;
			  height: 30px;
			  padding: 8px;
			  background-color: #dddddd;
			}
			td {
			  border: 1px solid darkgray;
			  text-align: left;
			  padding: 8px;
			}
		</style>
	</head>
	<body>
		<div class="vue-box" :class="{sbot: id}" style="display: none;" :style="'display: block;'">
			<!-- ------- 内容部分 ------- -->
			<div class="s-body">
				<div class="c-panel">
					<el-form size="mini" v-if="m">
						<table>
							<tr>
								<th>姓名</th>
								<td>{{m.name}}</td>
								<th>手机号码</th>
								<td>{{maskPhone(m.phone)}}</td>
							</tr>
							<tr>
								<th>银行</th>
								<td>{{m.bankCode}}</td>
								<th>身份证号</th>
								<td>{{maskId(m.idCard)}}</td>
							</tr>
							<tr>
								<th>银行卡号</th>
								<td>{{m.bankNo}}</td>
								<th>身份证</th>
								<td><div class="image-box-2" v-for="item in m.idCardImg_arr">
										<img :src="item" @click="sa.showImage(item, '500px', '400px')" />
									</div>
								</td>
							</tr>
							<tr>
								<th>联系地址</th>
								<td>{{m.address}}</td>
								<th>创建时间</th>
								<td>{{sa.forDate(m.createTime, 2)}}</td>
							</tr>
						</table>
						<div class="c-item br s-ok">
							<label class="c-label"></label>
							<el-button size="mini" type="primary" icon="el-icon-plus" @click="ok()">保存</el-button>
						</div>
					</el-form>
				</div>
			</div>
			<!-- ------- 底部按钮 ------- -->
			<div class="s-foot">
				<el-button size="mini" type="primary" @click="ok()">确定</el-button>
				<el-button size="mini" @click="sa.closeCurrIframe()">取消</el-button>
			</div>
		</div>
		<script>
			var app = new Vue({
				el: '.vue-box',
				data: {
					id: sa.p('leaderId', 0), // 获取超链接中的id参数（0=添加，非0=修改）
					m: {
						id: '', // 主键
						name: '', // 姓名
						code: '', // 边民号
						sex: '', // 性别(1=男,2=女)
						age: '', // 年龄
						idCard: '', // 身份证
						idCardImg: '', // 身份证复印件
						idCardImg_arr: [], // 身份证复印件 - 转数组
						phone: '', // 手机号码
						bankNo: '', // 银行编号
						bankCode: '', // 银行卡号
						groupId: sa.p('groupId', ''), // 所属互助组(1=测试组)
						groupName: '', // 互助组名称
						status: '', // 是否可用(0=否,1=是)
						role: '', // 角色(1=普通边民,2=兼组长)
						address: '', // 联系地址
						lock: '', // 是否锁定
					}, // 实体对象
					bankList: []
				},
				methods: {
					maskId:function (id) {
					    return id.replace(/^(.{6})(.*)(.{4})$/,'$1********$3');
					},
					maskPhone:function (phone) {
					    return phone.replace(/(\d{3})\d{4}(\d{4})/, '$1****$2');
					},
					getBankList() {
						sa.ajax('/sp-admin/TbBank/getAll', function(resp) {
							this.bankList = resp.data;
						}.bind(this));
					},
					// 表单验证
					submitCheck: function() {
						try {
							var m = this.m; // 获取 m对象
							sa.checkNull(m.name, '请输入 [姓名]');
							sa.checkNull(m.idCard, '请输入 [身份证]');
							sa.checkNull(m.idCardImg, '请上传 [身份证复印件]');
							sa.checkNull(m.phone, '请输入 [手机号码]');
							sa.checkNull(m.bankCode, '请选择 [银行卡号]');
							return 'ok'; // 全部通过验证，返回ok 表示正确
						} catch (e) {
							sa.error(e);
						}
					},
					// 提交数据
					ok: function() {
						// 验证
						console.log("---1---=")
						this.m.idCardImg = this.m.idCardImg_arr.join(','); // 图片数组转字符串
						console.log("---2---=",this.m.idCardImg)
						// if (this.submitCheck() != 'ok') {
						// 	return;
						// }
						console.log("---3---=")
						// 开始增加或修改
						if (this.id <= 0) { // 添加
						console.log("---4---=")
							sa.ajax('/level-one-server/TbPeople/add', sa.removeNull(this.m), function(res) {
								sa.alert('增加成功', this.clean);
							}.bind(this));
						} else { // 修改
						console.log("---4---=")
							sa.ajax('/level-one-server/TbPeople/update', sa.removeNull(this.m), function(res) {
								sa.alert('修改成功', this.clean);
							}.bind(this));
						}
					},
					// 添加/修改 完成后的动作
					clean: function() {
						parent.app.f5(); // 刷新父页面列表
						sa.closeCurrIframe(); // 关闭本页
					},
					initFn() {
						// 初始化数据
						if (this.id > 0) {
							sa.ajax('/level-one-server/TbPeople/getById?id=' + this.id, function(res) {
								res.data.idCardImg_arr = sa.isNull(res.data.idCardImg) ? [] : res.data.idCardImg.split(',');		// 身份证复印件 字符串转数组
								this.m = res.data;
								if (res.data == null) {
									sa.alert('未能查找到 id=' + this.id + " 详细数据");
								}
							}.bind(this))
						};
					}
				},
				mounted: function() {
					this.initFn()
					this.getBankList()
				}
			})
		</script>
	</body>
</html>
